
Type Hero

    Field frame
    Field posX#
    Field posY#
    Field speedX#
    Field weapon
    Field weaponSlot    
    Field shotgunTimer
    Field machineGunTimer
    Field machineGunKills
    Field grenadeX#
    Field grenadeY#
    Field grenadeSpeedY#
    Field grenadeKills
    Field grenadeTossed
    Field machineGunTargetY#
    
End Type



Function NewHero.Hero ()

    hero.Hero = New Hero

    hero\speedX# = 0.0
    hero\posX#   = 320.0
    hero\posy#   = 400.0
    hero\frame   = 0

    hero\weapon = WEAPON_GRENADE    
    hero\shotgunTimer    = 0
    hero\machineGunTimer = 0
    hero\machineGunKills = 0

    Return hero

End Function



Function UpdateHero ()

    If GAME\frame Mod 10 = 0 Then HERO\frame = 1 - HERO\frame  

    HERO\posX# = HERO\posX# + HERO\speedX#
    If HERO\speedX# > 0.0 And HERO\posX# > 420.0 Then HERO\speedX# = HERO\speedX# * -1.0
    If HERO\speedX# < 0.0 And HERO\posX# < 220.0 Then HERO\speedX# = HERO\speedX# * -1.0

    If HERO\shotgunTimer > 0
        HERO\shotgunTimer = HERO\shotgunTimer - 1       
        If HERO\shotgunTimer = 0 Then UpdateWeaponQueue()
    End If    
    
End Function 



Function RenderHero ()

    DrawImage(IMG_SHADOW, Floor(HERO\posX#), Floor(HERO\posY#) + 35.0)
    DrawImage(IMG_HERO, Floor(HERO\posX#), Floor(HERO\posY#), HERO\frame)

End Function 

