
Type Message

    Field message$
    Field subMessage$
    Field timer

End Type



Function NewMessage.Message (msg$, submsg$, timer=60)

    For m.Message = Each Message
        Delete m
    Next


    m.Message = New Message
    
    m\message$    = msg$
    m\subMessage$ = submsg$
    m\timer       = timer

    Return m

End Function



Function UpdateMessage ()

    For m.Message = Each Message
        m\timer = m\timer - 1
        If m\timer = 0 Then Delete m
    Next 

End Function



Function RenderMessage ()

    Color 255, 255, 255
    For m.Message = Each Message
           
        SetFont FONT_LARGE
        Text 320, 230, m\message$, True
    
        SetFont FONT_SMALL
        Text 320, 255, m\subMessage$, True

    Next 

End Function


