
Type EnemyScore

    Field posX#
    Field posY#
    Field timer
    Field value
    Field isRed
    
End Type



Function NewEnemyScore.EnemyScore (posX#, posY#, value)

    es.EnemyScore = New EnemyScore

    es\posX# = posX#
    es\posY# = posY#
    es\value = value
    es\isRed = WAVE\isTriple
    es\timer = 30

    Return es

End Function



Function UpdateEnemyScores ()

    For es.EnemyScore = Each EnemyScore
    
        If HERO\grenadeTossed = false
            es\posY# = es\posY# + 1.0
        End If
        
        es\timer = es\timer - 1
        If es\timer = 0 Then Delete es
    
    Next

End Function



Function RenderEnemyScores ()

    SetFont FONT_LARGE
    
    For es.EnemyScore = Each EnemyScore
    
        Color 255,255,0
        If es\isRed Then Color 255,0,0
        Text Floor(es\posX#), Floor(es\posY#), es\value
    
    Next

End Function
