
Type Wave

    Field maxEnemies
    Field numEnemies
    Field onLastEnemy
    Field isCommando
    Field isBoss
    Field isTriple
    Field firstShot
    Field introTimer
    Field consecMisses
    
End Type 



Function NewWave.Wave (waveNum)

    w.Wave = New Wave
    
    w\isCommando = False 
    
    Select waveNum
    
        Case 6   :  w\numEnemies  = 10  : w\isCommando = True
        Case 12  :  w\numEnemies  = 10  : w\isCommando = True
        Case 13  :  w\numEnemies  = 15 + (GAME\stage - 1) * 2

        Case 19  :  w\numEnemies  = 10  : w\isCommando = True
        Case 25  :  w\numEnemies  = 10  : w\isCommando = True
        Case 26  :  w\numEnemies  = 16 + (GAME\stage - 1) * 2
    
        Case 27  :  w\numEnemies  = 1   : w\isBoss = True
    
        Default  :  w\numEnemies  = 6
    
    End Select

    ; Wave intro  message
    If GAME\totalWaves = 135
        w\introTimer = 100
        NewMessage("This is it!  Enemy #1000 !!!", "", 90)
    Else If w\isCommando = True 
        w\introTimer = 60
        NewMessage("Commando Wave!", "Score multiplier: 2x", 60)
    Else If w\isBoss = True
        w\introTimer = 70
        NewMessage("Boss Wave!", "Score multiplier: 10x", 60)
    Else If w\numEnemies >= 15    
        w\introTimer = 60
        NewMessage("Bloodbath Wave!", "", 60)        
    End If


    w\maxEnemies  = w\numEnemies
    w\onLastEnemy = False
    
    For i = 1 To w\numEnemies
        commandoNum = 0
        If w\isCommando = True Then commandoNum = i
        NewEnemy(commandoNum, w\isBoss)
    Next

    Return w

End Function


